<!DOCTYPE html>
<html lang="en">
    <head>
        <title>Login Page</title>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
        <link rel="stylesheet" href="Login.css">
    </head>
    <body>

      <!-- login modal -->

      <li>
        <a style="color: rgb(251, 251, 251)" id="login-nav-opt">Log In</a>
      </li>


    <div
    class="modal fade"
    id="loginModal"
    tabindex="-1"
    role="dialog"
    aria-labelledby="loginModalTitle"
    aria-hidden="true"
  >
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="loginModalLongTitle">Log In</h5>
        </div>
        <div class="modal-body">
          <input
            class="form-control"
            id="username-input"
            type="text"
            placeholder="Username"
          /><br />
          <input
            class="form-control"
            id="password-input"
            type="password"
            placeholder="Password"
          />
        </div>
        <div class="modal-footer">
          <span hidden id="error-msg"
            >Something went wrong! Please try again.</span
          >
          <button type="button" class="btn btn-secondary" id="close-btn">
            Close
          </button>
          <button type="button" class="btn btn-primary" id="submit-btn">
            Log In
          </button>
        </div>
      </div>
    </div>
  </div>

        <main id="main-holder">
        
        <h1 id="Login-title">ExpenseExpress</h1>
        <br>

        <div id="login-error-msg-holder">
            <p id="login-error-msg">Invalid name <span id="error-msg-second-line">and/or password</span></p>
        </div>

         <div class="col d-flex justify-content-center">
         <div class="card text-center">
            <div class="card-body">
            
            <form id="Login-form">
              <h5 id="Login-table-name">Login</h5>
              <br>
            
              <input type="text" id="username" name="username" placeholder="Username" style="height:40px;width:400px;" required><br><br>
              <input type="password" id="password" name="password" placeholder="Password" style="height:40px;width:400px;" required><br><br>
              <br>

              <button type="submit" class="btn btn-primary" style="width:400px;height:50px;" value="Login" id="login-form-submit">Login</button>
            </form>

            </div>
          </div>
        </div>
         <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous"></script>
         <script src="Login.js"></script>
         <script
        src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        crossorigin="anonymous"
        ></script>
        <script src="LoginData.js"></script>
         </main>
    </body>
</html> 